# This Spec file was Created by Marco Meijer <marco@mandrivaclub.nl>
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.mandrivaclub.nl

AutoReqProv: no
%define name    varsha
%define version 0.75
%define release 1.2006mcnl
%define summary DVD authoring frontend
%define section Multimedia/Video

Name:           %{name} 
Summary:        %{summary}
Version:        %{version} 
Release:        %{release} 
URL:            http://varsha.sourceforge.net
Group:          Video
License:        GPL
Vendor:         Mandrivaclub.nl
Packager:       Marco Meijer <marco@mandrivaclub.nl>

Source0:        %{name}-%{version}.tar.bz2

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:	j2re >= 1.5 dvdauthor >= 0.6.10 dvd-slideshow >= 0.6 mjpegtools >= 1.6.2

%description
Varsha is a GUI based DVD authoring tool for Linux.  You can make DVDs from your mpeg files as well as digital still pictures (Slideshow DVD).  

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q
mkdir -p %{buildroot}%{_datadir}/%{name}
mv * %{buildroot}%{_datadir}/%{name}

install -d %buildroot/%_bindir
cat <<EOF >$RPM_BUILD_ROOT%{_bindir}/%{name}
#!/bin/sh -f 
cd %{_datadir}/%{name} 
exec java -jar %{_datadir}/%{name}/varsha.jar

EOF

mkdir -p %buildroot/%_menudir
cat <<EOF >$RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):command="%{_bindir}/%{name}" \
		  icon="video_section.png" \
		  needs="x11" \
		  section="%{section}" \
		  title="Varsha"\
		  longtitle="%{summary}"
EOF



%post
%{update_menus}

%postun
%{clean_menus}


%clean 

rm -rf $RPM_BUILD_ROOT
%files 
%defattr(-,root,root,0755) 
%attr(755,root,root) %{_bindir}/%{name}
%{_datadir}/%{name}
%{_menudir}/%{name}


%changelog
*Sun Oct 16 2005 Marco Meijer <marco@mandrivaclub.nl> 0.75-1.2006mcnl
mandriva rebuild

*Fri May 20 2005 Marco Meijer <marco@mandrivaclub.nl> 0.75-1.102mcnl
new release - www.mandrivaclub.nl -

